%% this is a demo for the FASTEN-P
% --Introduction:
%   It calculates the similarity matrix between two graphs "flickr" and "lastfm". 
%   The similarity matrix is the solution matrix X.
%   For the detailed meaning of each input/output in the main function,
%   please see the notation in main.m

% Initialization
clear all
load('flickr-lastfm.mat');
n1 = size(flickr,1);
n2 = size(lastfm,1);
tol = 1e-7;
m = 5;
n = 5;
epsilon = 1e-10;
max_iter = 30;
CGmax_iter = 30;
alpha = 0.5;
% call the main function
[X, flag, iter, time] = main(flickr, lastfm, zeros(n2,n1), (-1)*ones(n2,n1)/(n2*n1), tol, m, n, epsilon, max_iter, CGmax_iter, alpha);